html {
  font-size: 16px;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: $font-family-primary;
  line-height: 1.6;
  background-color: #fff;
}

a {
  color: inherit;
  text-decoration: inherit; /* no underline */
  cursor: pointer;
  &:hover {
    color: darken($color: $fr-primary-300, $amount: 10);
  }
}

ul {
  padding: 0;
  list-style: none;
}

strong,
b {
  font-weight: bold;
}

p {
  line-height: 28px;
  font-weight: 400;
}

.fr-font-inter {
  font-family: $font-family-primary;
}
.fr-font-tajawal {
  font-family: $font-family-primary-ar;
}

// Col Personalisé
.fr-col-11 {
  width: 98%;
}
.fr-col-1 {
  width: 2%;
}
// font weight
.fr-fw-l {
  font-weight: $font-weight-light;
}
.fr-fw-r {
  font-weight: $font-weight-regular;
}
.fr-fw-m {
  font-weight: $font-weight-medium;
}
.fr-fw-s {
  font-weight: $font-weight-semi-bold;
}
.fr-fw-b {
  font-weight: $font-weight-bold;
}
.fr-fw-e {
  font-weight: $font-weight-extra-bold;
}
.fr-fw-black {
  font-weight: $font-weight-black;
}

// Primary - Blue
.fr-txt-p-300 {
  color: $fr-primary-300;
}
.fr-txt-p-200 {
  color: $fr-primary-200;
}
.fr-txt-p-100 {
  color: $fr-primary-100;
}
.fr-txt-p-75 {
  color: $fr-primary-75;
}
.fr-txt-p-50 {
  color: $fr-primary-50;
}

// Secondary - Orange
.fr-txt-so-300 {
  color: $fr-secondary-o-300;
}
.fr-txt-so-200 {
  color: $fr-secondary-o-200;
}
.fr-txt-so-75 {
  color: $fr-secondary-o-75;
}
.fr-txt-so-50 {
  color: $fr-secondary-o-50;
}

// Secondary - Blue
.fr-txt-sb-300 {
  color: $fr-secondary-b-300;
}
.fr-txt-sb-200 {
  color: $fr-secondary-b-200;
}
.fr-txt-sb-100 {
  color: $fr-secondary-b-100;
}
.fr-txt-sb-75 {
  color: $fr-secondary-b-75;
}
.fr-txt-sb-50 {
  color: $fr-secondary-b-50;
}

// Neutres - Grey
.fr-txt-n-300  {
  color: $fr-grey-300;
}
.fr-txt-n-200 {
  color: $fr-grey-200;
}
.fr-txt-n-100 {
  color: $fr-grey-100;
}
.fr-txt-n-75  {
  color: $fr-grey-75;
}
.fr-txt-n-50 {
  color: $fr-grey-50;
}

// Semantiques
// --- Errors
.fr-txt-err-200 {
  color: $fr-error-200;
}
.fr-txt-err-100 {
  color: $fr-error-100;
}
.fr-txt-err-75 {
  color: $fr-error-75;
}
.fr-txt-err-50 {
  color: $fr-error-50;
}
// --- Succes
.fr-txt-val-300 {
  color: $fr-succes-300;
}
.fr-txt-val-200 {
  color: $fr-succes-200;
}
.fr-txt-val-100 {
  color: $fr-succes-100;
}
.fr-txt-val-75 {
  color: $fr-succes-75;
}
.fr-txt-val-50 {
  color: $fr-succes-50;
}
// --- Warning
.fr-txt-war-300 {
  color: $fr-warning-300;
}

// Background
// Primary 
.fr-bg-p-300 {
  background-color: $fr-primary-300;
}
.fr-bg-p-200 {
  background-color: $fr-primary-200;
}
.fr-bg-p-100 {
  background-color: $fr-primary-100;
}
.fr-bg-p-75 {
  background-color: $fr-primary-75;
}
.fr-bg-p-50 {
  background-color: $fr-primary-50;
}
.fr-bg-white{
  background: #fff;
}

// Secondary - Orange
.fr-bg-so-300 {
  background-color: $fr-secondary-o-300;
}
.fr-bg-so-200 {
  background-color: $fr-secondary-o-200;
}
.fr-bg-so-75 {
  background-color: $fr-secondary-o-75;
}
.fr-bg-so-50 {
  background-color: $fr-secondary-o-50;
}

// Secondary - Blue
.fr-bg-sb-300 {
  background-color: $fr-secondary-b-300;
}
.fr-bg-sb-200 {
  background-color: $fr-secondary-b-200;
}
.fr-bg-sb-100 {
  background-color: $fr-secondary-b-100;
}
.fr-bg-sb-75 {
  background-color: $fr-secondary-b-75;
}
.fr-bg-sb-50 {
  background-color: $fr-secondary-b-50;
}

// Neutres - Grey
.fr-bg-n-300  {
  background-color: $fr-grey-300;
}
.fr-bg-n-200 {
  background-color: $fr-grey-200;
}
.fr-bg-n-100 {
  background-color: $fr-grey-100;
}
.fr-bg-n-75  {
  background-color: $fr-grey-75;
}
.fr-bg-n-50 {
  background-color: $fr-grey-50;
}

// Semantiques
// --- Errors
.fr-bg-err-200 {
  background-color: $fr-error-200;
}
.fr-bg-err-100 {
  background-color: $fr-error-100;
}
.fr-bg-err-75 {
  background-color: $fr-error-75;
}
.fr-bg-err-50 {
  background-color: $fr-error-50;
}
// --- Succes
.fr-bg-val-300 {
  background-color: $fr-succes-300;
}
.fr-bg-val-200 {
  background-color: $fr-succes-200;
}
.fr-bg-val-100 {
  background-color: $fr-succes-100;
}
.fr-bg-val-75 {
  background-color: $fr-succes-75;
}
.fr-bg-val-50 {
  background-color: $fr-succes-50;
}
// --- Warning
.fr-bg-war-300 {
  background-color: $fr-warning-300;
}